[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Dialogs' (#lcl)

# TTaskDialogButtonsEnumerator.MoveNext

Positions the enumerator on the next button in the collection.

## Declaration

Source position: dialogs.pp line 656

`public function TTaskDialogButtonsEnumerator.MoveNext: Boolean;`

## Function result

True if another button was available in the collection.

## Description

MoveNext is a Boolean function used to move the position for the enumeration to the next button in the collection. When the enumerator is created, its position is undefined (-1) by default. Use MoveNext to move the position to the first button when the enumerator is created.

The return value is True when another value was found in the collection. It is set to False if the position reaches the value in Count.

## See also

TTaskDialogButtonsEnumerator.Current |  | Button at the current position for the enumerator.
TCollection.Count